#pragma once


// CApplicationModeMsgWnd
/*!
	アプリケーションモード用メインウィンドウ
	メッセージ専用ウィンドウのため、非表示

	起動後、20秒間コントローラからの接続を待つ
	切断後、3秒間コントローラからの再接続を待つ
	接続がない場合は、自動終了
*/
class CApplicationModeMsgWnd : public CWnd
{
	DECLARE_DYNAMIC(CApplicationModeMsgWnd)

public:
	CApplicationModeMsgWnd();
	virtual ~CApplicationModeMsgWnd();

	//!	ウィンドウ作成
	int CreateMsgWindow();

protected:
	DECLARE_MESSAGE_MAP()

public:
	//!	タイマハンドラ
	afx_msg void OnTimer(UINT_PTR nIDEvent);

protected:
	/////////////////////////////////////////////////////////////////////////////////////////
	//	メンバ変数
	/////////////////////////////////////////////////////////////////////////////////////////
	//!	初回接続?
	int	m_firstConnect;

	//!	無接続タイマ
	int	m_noConnectTimer;
};


